/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.ProdMercado;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCyberViajeProdMercado implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ProdMercado prodMercado = (ProdMercado) o;

        Listcell lc = null;

        Parada origem = prodMercado.getParada1();
        if (origem != null) {
            lc = new Listcell(origem.getCveparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada destino = prodMercado.getParada();
        if (destino != null) {
            lc = new Listcell(destino.getCveparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", prodMercado);
    }
}
